<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='21' and usuario_usu_id='$usu_id'  ") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
      if($reg['per_visualizar']=="Activo")
      {
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php include ('head.php');?>
</head>
<body>
<?php
  $inicio="";
  $M_inventario="";
  $M_contactos="";
  $M_compras="";
  $M_ventas="active";
  $M_pedidos="";
  $M_pos="";
  $R_reportes="";

  $cotizacion="";
  $ventas="";
  $periodica="active";
  $clientes="";
  $cartera="";
  $garantias="";
  $abonos="";
  $cotizacion_online="";

  include ('menu.php');
?> 
<div class="main">
    <div class="col-md-2">        
        <?php include ('include/menu_ventas.php');?>
    </div> <!-- /spam3 --> 
    <?php 
        $fac_id=$_GET['fac_id'];
        $can=mysqli_query($con,"SELECT * FROM fac_periodica where fac_id='$fac_id'") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can); 
        $Cliente_clie_id=$dato['Cliente_clie_id'];
        $fac_inicio_contrato=$dato['fac_inicio_contrato'];
        $fac_periodo=$dato['fac_periodo'];

        $clie=mysqli_query($con,"SELECT * FROM cliente where clie_id='$Cliente_clie_id'") or die(mysqli_error($con)); 
        $clie=mysqli_fetch_array($clie);
        $clie_nombre=$clie['clie_nombre'];
    ?>        
    <div class="col-md-10"> 
        <form  id="form_fac" name="form_fac" method="post" action="" >
            <div class="widget stacked">
                <div class="widget-content">
                    <div class="col-md-4">
                        <div class="form-group">
                              <label>Cliente</label> 
                              <input type="text" value="<?php echo $clie_nombre; ?>" class="form-control input-sm"readonly>
                        </div>
                    </div><!-- /spam4 --> 
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Fecha de inicio</label>
                            <input type="text" value="<?php echo $fac_inicio_contrato; ?>" class="form-control input-sm"readonly>
                        </div> <!-- /.form-group -->
                    </div><!-- /spam4 -->
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Frecuencia de Facturación </label>
                            <input type="text" value="<?php echo $fac_periodo; ?> Mes" class="form-control input-sm" readonly>
                        </div> <!-- /.form-group -->
                    </div><!-- /spam4 -->
                    <div class="col-md-11"></div>    
                    <div class="col-md-1">
                        </br>
                        <div class="form-group pull-right">
                            <button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal">
                                <span class="btn-icon-only icon-plus "></span> Agregar Servicio
                            </button>
                            </br> </br>
                        </div>
                    </div><!-- /spam4 -->
                    <div class="widget ">  
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <input type="hidden" name="fac_id" id="fac_id" value="<?php echo $fac_id;?>" >
                                <div id="tabla"></div>
                            </div> <!-- /.table-responsive -->
                        </div> <!-- /.12 -->
                    </div>
                    <?php include ('php_facturacion_periodica/form_guardar.php'); ?>
                </div>
            </div>
        </form>
        </br> </br> </br>
    </div> <!-- /main -->
</div> 
<?php 
  include('php_buscador/buscador.php');
  include ('php_clientes/form_nuevo_cliente.php');
?>

   </div>
 <script type="text/javascript" src="php_facturacion_periodica/ajax.js"></script>
  
<script>
function loadTabla(){
    var fac_id=$("#fac_id").val();
    $.get("./php_facturacion_periodica/z_tabla.php?fac_id="+fac_id,function(data){
    $("#tabla").html(data);
  })
}
loadTabla();

function load(page){
    var q= $("#q").val();
    var tipo= $("#tipo").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'./php_buscador/articulos_periodica.php?action=ajax&page='+page+'&q='+q+'&tipo='+tipo,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
        }
      })
    }

function agregar_articulo (art_referencia)
    {
      var fac_id=$("#fac_id").val();
      var art_id=document.getElementById('art_id'+art_referencia).value;
      var precio_venta=document.getElementById('precio_venta_'+art_referencia).value;
      var cantidad=document.getElementById('cantidad_'+art_referencia).value;
      var precio_costo=document.getElementById('precio_costo_'+art_referencia).value;
      var art_iva=document.getElementById('art_iva'+art_referencia).value;
      var descuento=document.getElementById('descuento'+art_referencia).value;
      var nombre=document.getElementById('nombre'+art_referencia).value;

      //Inicia validacion
      if (isNaN(cantidad))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_'+art_referencia).focus();
      return false;
      }
      if (isNaN(precio_venta))
      {
      alert('Esto no es un numero');
      document.getElementById('precio_venta_'+art_referencia).focus();
      return false;
      }
      //Fin validacion
      
      if(parseInt(precio_venta)<parseInt(precio_costo))
              {
                alert('Esta facturando por debajo del precio de compra !');
                document.getElementById('precio_venta_'+art_referencia).focus();
              }
          $.ajax(
          {
            type: "GET",
            url: "./php_facturacion_periodica/z_tabla.php",
            data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&fac_id="+fac_id,

            beforeSend: function(objeto)
              {
              $("#tabla").html("Mensaje: Cargando...");
              },
            success: function(datos)
              {
                $("#tabla").html(datos);
             //   loadTabla();   
              }
          });
      }
     
</script> 

<!-- Le javascript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<?php
  include ('php_caja/caja_abrir.php');
  include ('script.php');
?>
<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>